Get Coupon
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons/{couponId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons/{couponId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons/{couponId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "SUMMER20",
"object": "coupon",
"amount_off": null,
"created": 1700000000,
"currency": null,
"duration": "once",
"duration_in_months": null,
"livemode": true,
"max_redemptions": null,
"metadata": {},
"name": "Summer Sale",
"percent_off": 25,
"redeem_by": null,
"times_redeemed": 0,
"valid": true
}{
"error": "An unexpected error occurred"
}Coupons
Get Coupon
Retrieve a single coupon for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
coupons
/
{couponId}
Get Coupon
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
The Stripe coupon ID
Response
OK
The coupon ID
Example:
"SUMMER20"
Example:
"coupon"
Example:
null
Example:
1700000000
Example:
null
Available options:
once, repeating, forever Example:
"once"
Example:
null
Example:
true
Example:
null
Example:
{}
Example:
"Summer Sale"
Example:
25
Example:
null
Example:
0
Example:
true
